<?php
$dbc = mysqli_connect("localhost", "mluo_440", "440uwmsois", "mluo_classicmodels"); 

$conditions = array(); //array for storing multiple conditions

// Check if product name was entered and add condition
if (!empty($_POST['product_name'])) {
    $prd_name = $_POST['product_name'];
    $cond = "productName LIKE '%$prd_name%'";
    $conditions[] = $cond;
}

// Check if price range was entered and add condition
if (!empty($_POST['min_price']) && !empty($_POST['max_price'])) {
    $min_price = $_POST['min_price'];
    $max_price = $_POST['max_price'];
    $cond = "MSRP >= $min_price AND MSRP <= $max_price";
    $conditions[] = $cond;
}

// If at least one condition exists, build the full query
if (!empty($conditions)) {
    $where_clause = "";
    //Method 1: Use foreach loop to build a WHERE clause
    foreach ($conditions as $k => $v){ 
        if ($k != 0){
        $where_clause = $where_clause." AND "; //Add AND only between multiple conditions
        }
        $where_clause = $where_clause.$v;
    }
    
    //Method 2: Use implode to join all conditions in the array into a single string, separated by " AND ", which forms the WHERE clause of the SQL query. This is a cleaner alternative to using a foreach loop. //$where_clause = implode(" AND ", $conditions); 
    
    $query = "SELECT * FROM products WHERE " . $where_clause;  // SELECT query using dynamically built WHERE clause
    echo $query."<br><br>";
    $result = mysqli_query($dbc, $query);
    
    //Present the result
    while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
    	echo $row['productName'] . ", \$" .  $row['MSRP'] . "<br>";
    }
    
} else {
    echo "No search criteria entered";
}


?>
